org.apache.avro.mapred

## Class SequenceFileInputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.FileInputFormat<AvroWrapper<Pair<K,V>>,NullWritable>
  - - org.apache.avro.mapred.SequenceFileInputFormat<K,V>

All Implemented Interfaces:
  InputFormat<AvroWrapper<Pair<K,V>>,NullWritable>

    public class SequenceFileInputFormat<K,V>
    extends FileInputFormat<AvroWrapper<Pair<K,V>>,NullWritable>

An `InputFormat` for sequence files.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat

`FileInputFormat.Counter`

### Field Summary

### Fields inherited from class org.apache.hadoop.mapred.FileInputFormat

`INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LOG, NUM_INPUT_FILES`

### Constructor Summary

Constructors
Constructor and Description
`SequenceFileInputFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecordReader<AvroWrapper<Pair<K,V>>,NullWritable>` `getRecordReader(InputSplit split, JobConf job, Reporter reporter)`

### Methods inherited from class org.apache.hadoop.mapred.FileInputFormat

`addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, isSplitable, listStatus, makeSplit, makeSplit, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SequenceFileInputFormat

    public SequenceFileInputFormat()

### Method Detail

#### getRecordReader

    public RecordReader<AvroWrapper<Pair<K,V>>,NullWritable> getRecordReader(InputSplit split,
                                                                             JobConf job,
                                                                             Reporter reporter)
                                                                      throws IOException

Specified by:
  `getRecordReader` in interface `InputFormat<AvroWrapper<Pair<K,V>>,NullWritable>`
Specified by:
  `getRecordReader` in class `FileInputFormat<AvroWrapper<Pair<K,V>>,NullWritable>`
Throws:
  `IOException`